Subject: Re: bug#6685: 23.2; Discards control characters during boot.

From: Andrew Hyatt <[email-masked]>
Date: Thu, 08 Sep 2016 01:08:55 -0400

I was trying to reproduce this in Emacs 25, but emacsclient will not
start up a new emacs instance with emacsclient. According to the
documentation I have on emacsclient on using the alternative editor
flag:

If the value of EDITOR is the empty string, run "emacs --daemon" to
start Emacs in daemon mode, and try to connect to it.

So I can't reproduce this issue anymore.  Let me know if I'm missing
something, please.

[email-masked] (Trent W. Buck) writes:

> I start emacs with a wrapper script which boils down to
>
>     ALTERNATIVE_EDITOR="" emacsclient -c -t
>
> In the past (23.1 or so), I could start emacs that way, and while the
> daemon was loading in the background, I could type
>
>     M-x irc C-m M-x gnus C-m
>
> and when the daemon finished loading, the IRC and GNUS functions would
> run.  Now, what happens is that I get
>
>     xircxgnus
>
> appended to *scratch*.  It seems pretty clear to me that Emacs has
> started discarding control characters (^[ and ^M in my case).
>
> If this change was an attempt to fix a bug, it has actually fixed a
> feature (for me), since I now have to wait a couple of seconds for the
> frame to render before I can reliably start issuing commands.
>
> Note: I haven't reproduce this with --quick, because that starts too
> fast and in any case I don't know how to make emacsclient -A='' pass -Q
> to it's internal emacs --daemon invocation.
>
> In GNU Emacs 23.2.1 (x86_64-pc-linux-gnu)
>  of 2010-05-16 on barber, modified by Debian
> configured using `configure  '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.2/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.2/leim' '--with-x=no' '--without-gconf' 'build_alias=x86_64-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''
>
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: C
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: en_AU.utf8
>   value of $XMODIFIERS: nil
>   locale-coding-system: utf-8-unix
>   default enable-multibyte-characters: t
>
> Major mode: Fundamental
>
> Minor modes in effect:
>   xterm-mouse-mode: t
>   ido-everywhere: t
>   savehist-mode: t
>   icomplete-mode: t
>   partial-completion-mode: t
>   show-paren-mode: t
>   delete-selection-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   column-number-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Recent input:
> t SPC w h e r e SPC ESC q SPC ESC O A e ESC O B ESC 
> q SPC s t a g e 1 SPC c a n ' t SPC f i n d SPC s t 
> a g e 2 . ESC b ESC b ESC b ( DEL ESC [ 4 ~ SPC SPC 
> S i g h . ESC O C ESC O B C-@ ESC O B ESC O B ESC O 
> B ESC O B ESC O B ESC O B ESC O B C-w C-@ ESC O B ESC 
> O B ESC O B ESC O B ESC O B ESC O A C-w C-@ ESC O B 
> ESC O B ESC O B ESC O B C-g C-_ C-x C-x C-x C-x C-w 
> C-@ ESC O B ESC O B ESC O B ESC O B ESC O B ESC O B 
> C-w C-@ ESC O B ESC O B ESC O B ESC O B ESC O B ESC 
> O B C-w C-@ ESC O B ESC O B ESC O B ESC O B ESC O B 
> ESC O B ESC O B ESC O B ESC O B C-x C-x ESC O A C-w 
> DEL C-x C-s RET RET ESC O B ESC O B DEL DEL DEL C-x 
> C-s ESC < ESC % SPC > RET > RET ! ESC O B DEL ESC O 
> A ESC O A ESC O A ESC O A ESC O A ESC [ 1 ~ RET ESC 
> q ESC O A C-d ESC > C-x C-s C-x C-s ESC O A ESC q C-x 
> C-s C-x C-c q y ESC x r e p o r t SPC e m a c s SPC 
> b u g RET
>
> Recent messages:
> Mark set [2 times]
> Replaced 5 occurrences
> Mark set
> Saving file /tmp/mutt-dali-1000-1258-11239a89bc4892b64a...
> Wrote /tmp/mutt-dali-1000-1258-11239a89bc4892b64a
> (No changes need to be saved)
> Saving file /tmp/mutt-dali-1000-1258-11239a89bc4892b64a...
> Wrote /tmp/mutt-dali-1000-1258-11239a89bc4892b64a
> Are you sure you want to quit reading news? (y or n) 
> (No changes need to be saved)
>
> Load-path shadows:
> /usr/share/emacs/site-lisp/haskell-mode/inf-haskell hides /usr/share/emacs/23.2/site-lisp/haskell-mode/inf-haskell
> /usr/share/emacs/site-lisp/haskell-mode/haskell-site-file hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-site-file
> /usr/share/emacs/site-lisp/haskell-mode/haskell-simple-indent hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-simple-indent
> /usr/share/emacs/site-lisp/haskell-mode/haskell-mode hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-mode
> /usr/share/emacs/site-lisp/haskell-mode/haskell-indentation hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-indentation
> /usr/share/emacs/site-lisp/haskell-mode/haskell-indent hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-indent
> /usr/share/emacs/site-lisp/haskell-mode/haskell-hugs hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-hugs
> /usr/share/emacs/site-lisp/haskell-mode/haskell-ghci hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-ghci
> /usr/share/emacs/site-lisp/haskell-mode/haskell-font-lock hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-font-lock
> /usr/share/emacs/site-lisp/haskell-mode/haskell-doc hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-doc
> /usr/share/emacs/site-lisp/haskell-mode/haskell-decl-scan hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-decl-scan
> /usr/share/emacs/site-lisp/haskell-mode/haskell-cabal hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-cabal
> /usr/share/emacs/site-lisp/haskell-mode/haskell-c hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-c
> /usr/share/emacs/23.2/site-lisp/puppet-el/puppet-mode hides /usr/share/emacs/site-lisp/puppet-mode
> /usr/share/emacs/23.2/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
> /usr/share/emacs23/site-lisp/dictionaries-common/flyspell hides /usr/share/emacs/23.2/lisp/textmodes/flyspell
> /usr/share/emacs23/site-lisp/dictionaries-common/ispell hides /usr/share/emacs/23.2/lisp/textmodes/ispell
>
> Features:
> (shadow sort mail-extr emacsbug newcomment vc-dispatcher vc-darcs cl
> cl-19 xml parse-time timezone nndraft nnmh auth-source gnus-agent
> gnus-srvr gnus-score score-mode nnvirtual gnus-msg gnus-art image mm-uu
> mml2015 epg-config mm-view smime dig nntp gnus-cache gnus-sum nnoo
> gnus-group gnus-undo nnmail mail-source format-spec gnus-start gnus-spec
> gnus-int gnus-range message sendmail regexp-opt ecomplete rfc822 mml
> easymenu mml-sec password-cache mm-decode mm-bodies mm-encode mailcap
> mail-parse rfc2231 rfc2047 rfc2045 qp ietf-drums mailabbrev gmm-utils
> mailheader canlock sha1 hex-util hashcash gnus-win gnus gnus-ems
> nnheader gnus-util netrc time-date mail-utils mm-util mail-prsvr
> wid-edit server jka-compr edmacro kmacro xt-mouse ido savehist icomplete
> complete paren delsel saveplace debian-el debian-el-loaddefs w3m-load
> emacs-goodies-el emacs-goodies-custom emacs-goodies-loaddefs easy-mmode
> dpkg-dev-el dpkg-dev-el-loaddefs ediff-hook vc-hooks lisp-float-type
> lisp-mode register page menu-bar rfn-eshadow timer select mldrag mouse
> jit-lock font-lock syntax facemenu font-core frame cham georgian
> utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
> japanese hebrew greek romanian slovak czech european ethiopic indian
> cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
> loaddefs button minibuffer faces cus-face files text-properties overlay
> md5 base64 format env code-pages mule custom widget
> hashtable-print-readable backquote make-network-process dbusbind
> multi-tty emacs)